# client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The `truefoundry.ml.autogen.client` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 0.1.0
- Generator version: 7.9.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonPydanticV1ClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic
* aenum

## Getting Started

In your own code, to use this library to connect and interact with client,
you can run the following:

```python

import time
import truefoundry.ml.autogen.client
from truefoundry.ml.autogen.client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = truefoundry.ml.autogen.client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with truefoundry.ml.autogen.client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = truefoundry.ml.autogen.client.AuthApi(api_client)
    host_name = 'host_name_example' # str |

    try:
        # Get Tenant Id
        api_response = api_instance.get_tenant_id_get(host_name)
        print("The response of AuthApi->get_tenant_id_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthApi->get_tenant_id_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**get_tenant_id_get**](truefoundry/ml/autogen/client/docs/AuthApi.md#get_tenant_id_get) | **GET** /api/2.0/mlflow/tenant-id | Get Tenant Id
*DeprecatedApi* | [**get_run_by_name_get**](truefoundry/ml/autogen/client/docs/DeprecatedApi.md#get_run_by_name_get) | **GET** /api/2.0mlflow/runs/get-by-name | Get Run By Name
*DeprecatedApi* | [**get_search_runs_get**](truefoundry/ml/autogen/client/docs/DeprecatedApi.md#get_search_runs_get) | **GET** /api/2.0/preview/mlflow/runs/search | Get Search Runs
*DeprecatedApi* | [**get_signed_urls_for_dataset_write_deprecated_get**](truefoundry/ml/autogen/client/docs/DeprecatedApi.md#get_signed_urls_for_dataset_write_deprecated_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/datasets/get-signed-urls-for-write | Get Signed Urls For Dataset Write Deprecated
*ExperimentsApi* | [**create_experiment_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#create_experiment_post) | **POST** /api/2.0/mlflow/experiments/create | Create Experiment
*ExperimentsApi* | [**delete_experiment_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#delete_experiment_post) | **POST** /api/2.0/mlflow/experiments/delete | Delete Experiment
*ExperimentsApi* | [**get_experiment_by_name_get**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#get_experiment_by_name_get) | **GET** /api/2.0/mlflow/experiments/get-by-name | Get Experiment By Name
*ExperimentsApi* | [**get_experiment_get**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#get_experiment_get) | **GET** /api/2.0/mlflow/experiments/get | Get Experiment
*ExperimentsApi* | [**hard_delete_experiment_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#hard_delete_experiment_post) | **POST** /api/2.0/mlflow/experiments/hard-delete | Hard Delete Experiment
*ExperimentsApi* | [**list_experiment_columns_get**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#list_experiment_columns_get) | **GET** /api/2.0/mlflow/experiments/columns | List Experiment Columns
*ExperimentsApi* | [**list_experiments_get**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#list_experiments_get) | **GET** /api/2.0/mlflow/experiments/list | List Experiments
*ExperimentsApi* | [**put_privacy_type_put**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#put_privacy_type_put) | **PUT** /api/2.0/mlflow/experiments/privacy-type | Put Privacy Type
*ExperimentsApi* | [**restore_experiment_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#restore_experiment_post) | **POST** /api/2.0/mlflow/experiments/restore | Restore Experiment
*ExperimentsApi* | [**seed_list_experiment_get**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#seed_list_experiment_get) | **GET** /api/2.0/mlflow/experiments/seed/list | Seed List Experiment
*ExperimentsApi* | [**set_experiment_tag_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#set_experiment_tag_post) | **POST** /api/2.0/mlflow/experiments/set-experiment-tag | Set Experiment Tag
*ExperimentsApi* | [**update_experiment_post**](truefoundry/ml/autogen/client/docs/ExperimentsApi.md#update_experiment_post) | **POST** /api/2.0/mlflow/experiments/update | Update Experiment
*HealthApi* | [**health_get**](truefoundry/ml/autogen/client/docs/HealthApi.md#health_get) | **GET** /health | Health
*HealthApi* | [**serve_get**](truefoundry/ml/autogen/client/docs/HealthApi.md#serve_get) | **GET** / | Serve
*MetricsApi* | [**get_metric_history_get**](truefoundry/ml/autogen/client/docs/MetricsApi.md#get_metric_history_get) | **GET** /api/2.0/mlflow/metrics/get-history | Get Metric History
*MetricsApi* | [**list_metric_history_post**](truefoundry/ml/autogen/client/docs/MetricsApi.md#list_metric_history_post) | **POST** /api/2.0/mlflow/metrics/list-history | List Metric History
*MlfoundryArtifactsApi* | [**add_custom_metrics_to_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#add_custom_metrics_to_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/custom-metrics/add | Add Custom Metrics To Model Version
*MlfoundryArtifactsApi* | [**add_features_to_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#add_features_to_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/features/add | Add Features To Model Version
*MlfoundryArtifactsApi* | [**authorize_user_for_model_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#authorize_user_for_model_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/models/authorize | Authorize User For Model
*MlfoundryArtifactsApi* | [**authorize_user_for_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#authorize_user_for_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/authorize | Authorize User For Model Version
*MlfoundryArtifactsApi* | [**create_artifact_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_artifact_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifacts/create | Create Artifact
*MlfoundryArtifactsApi* | [**create_artifact_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_artifact_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/create | Create Artifact Version
*MlfoundryArtifactsApi* | [**create_dataset_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_dataset_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/create | Create Dataset
*MlfoundryArtifactsApi* | [**create_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/create | Create Model Version
*MlfoundryArtifactsApi* | [**create_multi_part_upload_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_multi_part_upload_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/multi-part-upload/create | Create Multi Part Upload
*MlfoundryArtifactsApi* | [**create_multipart_upload_for_dataset_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#create_multipart_upload_for_dataset_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/multi-part-upload/create | Create Multipart Upload For Dataset
*MlfoundryArtifactsApi* | [**delete_artifact_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#delete_artifact_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact/delete | Delete Artifact
*MlfoundryArtifactsApi* | [**delete_artifact_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#delete_artifact_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/delete | Delete Artifact Version
*MlfoundryArtifactsApi* | [**delete_dataset_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#delete_dataset_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/delete | Delete Dataset
*MlfoundryArtifactsApi* | [**delete_files_for_dataset_delete**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#delete_files_for_dataset_delete) | **DELETE** /api/2.0/mlflow/mlfoundry-artifacts/datasets/files/ | Delete Files For Dataset
*MlfoundryArtifactsApi* | [**delete_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#delete_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/delete | Delete Model Version
*MlfoundryArtifactsApi* | [**finalize_artifact_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#finalize_artifact_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/finalize | Finalize Artifact Version
*MlfoundryArtifactsApi* | [**get_artifact_by_fqn_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_artifact_by_fqn_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/artifacts/get-by-fqn | Get Artifact By Fqn
*MlfoundryArtifactsApi* | [**get_artifact_by_id_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_artifact_by_id_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/artifacts/get | Get Artifact By Id
*MlfoundryArtifactsApi* | [**get_artifact_version_by_fqn_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_artifact_version_by_fqn_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/get-by-fqn | Get Artifact Version By Fqn
*MlfoundryArtifactsApi* | [**get_artifact_version_by_id_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_artifact_version_by_id_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/get | Get Artifact Version By Id
*MlfoundryArtifactsApi* | [**get_artifact_version_by_name_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_artifact_version_by_name_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/get-by-name | Get Artifact Version By Name
*MlfoundryArtifactsApi* | [**get_dataset_by_fqn_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_dataset_by_fqn_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/datasets/get-by-fqn | Get Dataset By Fqn
*MlfoundryArtifactsApi* | [**get_dataset_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_dataset_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/datasets/get | Get Dataset
*MlfoundryArtifactsApi* | [**get_model_by_fqn_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_by_fqn_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/models/get-by-fqn | Get Model By Fqn
*MlfoundryArtifactsApi* | [**get_model_by_name_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_by_name_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/models/get-by-name | Get Model By Name
*MlfoundryArtifactsApi* | [**get_model_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/models/get | Get Model
*MlfoundryArtifactsApi* | [**get_model_version_by_fqn_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_version_by_fqn_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/get-by-fqn | Get Model Version By Fqn
*MlfoundryArtifactsApi* | [**get_model_version_by_name_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_version_by_name_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/get-by-name | Get Model Version By Name
*MlfoundryArtifactsApi* | [**get_model_version_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_model_version_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/get | Get Model Version
*MlfoundryArtifactsApi* | [**get_signed_urls_dataset_read_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_signed_urls_dataset_read_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/get-signed-urls-for-read | Get Signed Urls Dataset Read
*MlfoundryArtifactsApi* | [**get_signed_urls_for_dataset_write_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_signed_urls_for_dataset_write_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/get-signed-urls-for-write | Get Signed Urls For Dataset Write
*MlfoundryArtifactsApi* | [**get_signed_urls_for_read_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_signed_urls_for_read_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/get-signed-urls-for-read | Get Signed Urls For Read
*MlfoundryArtifactsApi* | [**get_signed_urls_for_write_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#get_signed_urls_for_write_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/get-signed-urls-for-write | Get Signed Urls For Write
*MlfoundryArtifactsApi* | [**list_artifact_versions_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_artifact_versions_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/list | List Artifact Versions
*MlfoundryArtifactsApi* | [**list_artifacts_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_artifacts_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifacts/list | List Artifacts
*MlfoundryArtifactsApi* | [**list_datasets_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_datasets_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/list | List Datasets
*MlfoundryArtifactsApi* | [**list_files_for_artifact_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_files_for_artifact_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/files/list | List Files For Artifact Version
*MlfoundryArtifactsApi* | [**list_files_for_dataset_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_files_for_dataset_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/files/list | List Files For Dataset
*MlfoundryArtifactsApi* | [**list_model_versions_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_model_versions_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/list | List Model Versions
*MlfoundryArtifactsApi* | [**list_models_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#list_models_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/models/list | List Models
*MlfoundryArtifactsApi* | [**notify_failure_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#notify_failure_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/notify-failure | Notify Failure
*MlfoundryArtifactsApi* | [**resolve_agent_get**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#resolve_agent_get) | **GET** /api/2.0/mlflow/mlfoundry-artifacts/agent/resolve | Resolve Agent
*MlfoundryArtifactsApi* | [**update_artifact_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#update_artifact_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/artifact-versions/update | Update Artifact Version
*MlfoundryArtifactsApi* | [**update_dataset_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#update_dataset_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/datasets/update | Update Dataset
*MlfoundryArtifactsApi* | [**update_model_version_post**](truefoundry/ml/autogen/client/docs/MlfoundryArtifactsApi.md#update_model_version_post) | **POST** /api/2.0/mlflow/mlfoundry-artifacts/model-versions/update | Update Model Version
*PythonDeploymentConfigApi* | [**generate_py_development_config_post**](truefoundry/ml/autogen/client/docs/PythonDeploymentConfigApi.md#generate_py_development_config_post) | **POST** /api/2.0/mlflow/python-deployment-config/generate | Generate Py Development Config
*RunArtifactsApi* | [**list_run_artifacts_get**](truefoundry/ml/autogen/client/docs/RunArtifactsApi.md#list_run_artifacts_get) | **GET** /api/2.0/mlflow/artifacts/list | List Run Artifacts
*RunsApi* | [**create_run_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#create_run_post) | **POST** /api/2.0/mlflow/runs/create | Create Run
*RunsApi* | [**delete_run_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#delete_run_post) | **POST** /api/2.0/mlflow/runs/delete | Delete Run
*RunsApi* | [**delete_tag_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#delete_tag_post) | **POST** /api/2.0/mlflow/runs/delete-tag | Delete Tag
*RunsApi* | [**get_run_by_fqn_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#get_run_by_fqn_get) | **GET** /api/2.0/mlflow/runs/get-by-fqn | Get Run By Fqn
*RunsApi* | [**get_run_by_name_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#get_run_by_name_get) | **GET** /api/2.0/mlflow/runs/get-by-name | Get Run By Name
*RunsApi* | [**get_run_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#get_run_get) | **GET** /api/2.0/mlflow/runs/get | Get Run
*RunsApi* | [**hard_delete_run_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#hard_delete_run_post) | **POST** /api/2.0/mlflow/runs/hard-delete | Hard Delete Run
*RunsApi* | [**latest_run_log_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#latest_run_log_get) | **GET** /api/2.0/mlflow/runs/run-logs/latest-run-log | Latest Run Log
*RunsApi* | [**list_latest_run_logs_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#list_latest_run_logs_get) | **GET** /api/2.0/mlflow/runs/run-logs/list-latest | List Latest Run Logs
*RunsApi* | [**list_run_logs_get**](truefoundry/ml/autogen/client/docs/RunsApi.md#list_run_logs_get) | **GET** /api/2.0/mlflow/runs/run-logs/list | List Run Logs
*RunsApi* | [**log_metric_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#log_metric_post) | **POST** /api/2.0/mlflow/runs/log-metric | Log Metric
*RunsApi* | [**log_parameter_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#log_parameter_post) | **POST** /api/2.0/mlflow/runs/log-parameter | Log Parameter
*RunsApi* | [**log_run_batch_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#log_run_batch_post) | **POST** /api/2.0/mlflow/runs/log-batch | Log Run Batch
*RunsApi* | [**restore_run_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#restore_run_post) | **POST** /api/2.0/mlflow/runs/restore | Restore Run
*RunsApi* | [**run_logs_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#run_logs_post) | **POST** /api/2.0/mlflow/runs/run-logs | Run Logs
*RunsApi* | [**search_runs_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#search_runs_post) | **POST** /api/2.0/mlflow/runs/search | Search Runs
*RunsApi* | [**set_tag_request_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#set_tag_request_post) | **POST** /api/2.0/mlflow/runs/set-tag | Set Tag Request
*RunsApi* | [**update_run_post**](truefoundry/ml/autogen/client/docs/RunsApi.md#update_run_post) | **POST** /api/2.0/mlflow/runs/update | Update Run


## Documentation For Models

 - [AddCustomMetricsToModelVersionRequestDto](truefoundry/ml/autogen/client/docs/AddCustomMetricsToModelVersionRequestDto.md)
 - [AddFeaturesToModelVersionRequestDto](truefoundry/ml/autogen/client/docs/AddFeaturesToModelVersionRequestDto.md)
 - [Agent](truefoundry/ml/autogen/client/docs/Agent.md)
 - [AgentApp](truefoundry/ml/autogen/client/docs/AgentApp.md)
 - [AgentOpenAPITool](truefoundry/ml/autogen/client/docs/AgentOpenAPITool.md)
 - [AgentOpenAPIToolWithFQN](truefoundry/ml/autogen/client/docs/AgentOpenAPIToolWithFQN.md)
 - [AgentWithFQN](truefoundry/ml/autogen/client/docs/AgentWithFQN.md)
 - [ArtifactDto](truefoundry/ml/autogen/client/docs/ArtifactDto.md)
 - [ArtifactResponseDto](truefoundry/ml/autogen/client/docs/ArtifactResponseDto.md)
 - [ArtifactType](truefoundry/ml/autogen/client/docs/ArtifactType.md)
 - [ArtifactVersionDto](truefoundry/ml/autogen/client/docs/ArtifactVersionDto.md)
 - [ArtifactVersionResponseDto](truefoundry/ml/autogen/client/docs/ArtifactVersionResponseDto.md)
 - [ArtifactVersionStatus](truefoundry/ml/autogen/client/docs/ArtifactVersionStatus.md)
 - [AssistantMessage](truefoundry/ml/autogen/client/docs/AssistantMessage.md)
 - [AuthorizeUserForModelRequestDto](truefoundry/ml/autogen/client/docs/AuthorizeUserForModelRequestDto.md)
 - [AuthorizeUserForModelVersionRequestDto](truefoundry/ml/autogen/client/docs/AuthorizeUserForModelVersionRequestDto.md)
 - [BlobStorageReference](truefoundry/ml/autogen/client/docs/BlobStorageReference.md)
 - [BodyGetSearchRunsGet](truefoundry/ml/autogen/client/docs/BodyGetSearchRunsGet.md)
 - [ChatPrompt](truefoundry/ml/autogen/client/docs/ChatPrompt.md)
 - [ChatPromptMessagesInner](truefoundry/ml/autogen/client/docs/ChatPromptMessagesInner.md)
 - [ColumnsDto](truefoundry/ml/autogen/client/docs/ColumnsDto.md)
 - [Content](truefoundry/ml/autogen/client/docs/Content.md)
 - [Content1](truefoundry/ml/autogen/client/docs/Content1.md)
 - [Content2](truefoundry/ml/autogen/client/docs/Content2.md)
 - [Content2AnyOfInner](truefoundry/ml/autogen/client/docs/Content2AnyOfInner.md)
 - [CreateArtifactRequestDto](truefoundry/ml/autogen/client/docs/CreateArtifactRequestDto.md)
 - [CreateArtifactResponseDto](truefoundry/ml/autogen/client/docs/CreateArtifactResponseDto.md)
 - [CreateArtifactVersionRequestDto](truefoundry/ml/autogen/client/docs/CreateArtifactVersionRequestDto.md)
 - [CreateArtifactVersionResponseDto](truefoundry/ml/autogen/client/docs/CreateArtifactVersionResponseDto.md)
 - [CreateDatasetRequestDto](truefoundry/ml/autogen/client/docs/CreateDatasetRequestDto.md)
 - [CreateExperimentRequestDto](truefoundry/ml/autogen/client/docs/CreateExperimentRequestDto.md)
 - [CreateExperimentResponseDto](truefoundry/ml/autogen/client/docs/CreateExperimentResponseDto.md)
 - [CreateModelVersionRequestDto](truefoundry/ml/autogen/client/docs/CreateModelVersionRequestDto.md)
 - [CreateMultiPartUploadForDatasetRequestDto](truefoundry/ml/autogen/client/docs/CreateMultiPartUploadForDatasetRequestDto.md)
 - [CreateMultiPartUploadForDatasetResponseDto](truefoundry/ml/autogen/client/docs/CreateMultiPartUploadForDatasetResponseDto.md)
 - [CreateMultiPartUploadRequestDto](truefoundry/ml/autogen/client/docs/CreateMultiPartUploadRequestDto.md)
 - [CreatePythonDeploymentConfigRequestDto](truefoundry/ml/autogen/client/docs/CreatePythonDeploymentConfigRequestDto.md)
 - [CreatePythonDeploymentConfigResponseDto](truefoundry/ml/autogen/client/docs/CreatePythonDeploymentConfigResponseDto.md)
 - [CreateRunRequestDto](truefoundry/ml/autogen/client/docs/CreateRunRequestDto.md)
 - [CreateRunResponseDto](truefoundry/ml/autogen/client/docs/CreateRunResponseDto.md)
 - [DatasetDto](truefoundry/ml/autogen/client/docs/DatasetDto.md)
 - [DatasetResponseDto](truefoundry/ml/autogen/client/docs/DatasetResponseDto.md)
 - [DeleteArtifactVersionsRequestDto](truefoundry/ml/autogen/client/docs/DeleteArtifactVersionsRequestDto.md)
 - [DeleteDatasetRequestDto](truefoundry/ml/autogen/client/docs/DeleteDatasetRequestDto.md)
 - [DeleteFilesForDatasetRequestDto](truefoundry/ml/autogen/client/docs/DeleteFilesForDatasetRequestDto.md)
 - [DeleteModelVersionRequestDto](truefoundry/ml/autogen/client/docs/DeleteModelVersionRequestDto.md)
 - [DeleteRunRequest](truefoundry/ml/autogen/client/docs/DeleteRunRequest.md)
 - [DeleteTagRequestDto](truefoundry/ml/autogen/client/docs/DeleteTagRequestDto.md)
 - [ExperimentDto](truefoundry/ml/autogen/client/docs/ExperimentDto.md)
 - [ExperimentIdRequestDto](truefoundry/ml/autogen/client/docs/ExperimentIdRequestDto.md)
 - [ExperimentResponseDto](truefoundry/ml/autogen/client/docs/ExperimentResponseDto.md)
 - [ExperimentTagDto](truefoundry/ml/autogen/client/docs/ExperimentTagDto.md)
 - [FeatureDto](truefoundry/ml/autogen/client/docs/FeatureDto.md)
 - [FeatureValueType](truefoundry/ml/autogen/client/docs/FeatureValueType.md)
 - [FileInfoDto](truefoundry/ml/autogen/client/docs/FileInfoDto.md)
 - [FinalizeArtifactVersionRequestDto](truefoundry/ml/autogen/client/docs/FinalizeArtifactVersionRequestDto.md)
 - [GetExperimentResponseDto](truefoundry/ml/autogen/client/docs/GetExperimentResponseDto.md)
 - [GetLatestRunLogResponseDto](truefoundry/ml/autogen/client/docs/GetLatestRunLogResponseDto.md)
 - [GetMetricHistoryResponse](truefoundry/ml/autogen/client/docs/GetMetricHistoryResponse.md)
 - [GetSignedURLForDatasetWriteRequestDto](truefoundry/ml/autogen/client/docs/GetSignedURLForDatasetWriteRequestDto.md)
 - [GetSignedURLsForArtifactVersionReadRequestDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForArtifactVersionReadRequestDto.md)
 - [GetSignedURLsForArtifactVersionReadResponseDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForArtifactVersionReadResponseDto.md)
 - [GetSignedURLsForArtifactVersionWriteRequestDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForArtifactVersionWriteRequestDto.md)
 - [GetSignedURLsForArtifactVersionWriteResponseDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForArtifactVersionWriteResponseDto.md)
 - [GetSignedURLsForDatasetReadRequestDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForDatasetReadRequestDto.md)
 - [GetSignedURLsForDatasetReadResponseDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForDatasetReadResponseDto.md)
 - [GetSignedURLsForDatasetWriteResponseDto](truefoundry/ml/autogen/client/docs/GetSignedURLsForDatasetWriteResponseDto.md)
 - [GetTenantIdResponseDto](truefoundry/ml/autogen/client/docs/GetTenantIdResponseDto.md)
 - [HTTPValidationError](truefoundry/ml/autogen/client/docs/HTTPValidationError.md)
 - [ImageContentPart](truefoundry/ml/autogen/client/docs/ImageContentPart.md)
 - [ImageUrl](truefoundry/ml/autogen/client/docs/ImageUrl.md)
 - [InternalMetadata](truefoundry/ml/autogen/client/docs/InternalMetadata.md)
 - [LatestRunLogDto](truefoundry/ml/autogen/client/docs/LatestRunLogDto.md)
 - [ListArtifactVersionsRequestDto](truefoundry/ml/autogen/client/docs/ListArtifactVersionsRequestDto.md)
 - [ListArtifactVersionsResponseDto](truefoundry/ml/autogen/client/docs/ListArtifactVersionsResponseDto.md)
 - [ListArtifactsRequestDto](truefoundry/ml/autogen/client/docs/ListArtifactsRequestDto.md)
 - [ListArtifactsResponseDto](truefoundry/ml/autogen/client/docs/ListArtifactsResponseDto.md)
 - [ListColumsResponseDto](truefoundry/ml/autogen/client/docs/ListColumsResponseDto.md)
 - [ListDatasetsRequestDto](truefoundry/ml/autogen/client/docs/ListDatasetsRequestDto.md)
 - [ListDatasetsResponseDto](truefoundry/ml/autogen/client/docs/ListDatasetsResponseDto.md)
 - [ListExperimentsResponseDto](truefoundry/ml/autogen/client/docs/ListExperimentsResponseDto.md)
 - [ListFilesForArtifactVersionRequestDto](truefoundry/ml/autogen/client/docs/ListFilesForArtifactVersionRequestDto.md)
 - [ListFilesForArtifactVersionsResponseDto](truefoundry/ml/autogen/client/docs/ListFilesForArtifactVersionsResponseDto.md)
 - [ListFilesForDatasetRequestDto](truefoundry/ml/autogen/client/docs/ListFilesForDatasetRequestDto.md)
 - [ListFilesForDatasetResponseDto](truefoundry/ml/autogen/client/docs/ListFilesForDatasetResponseDto.md)
 - [ListLatestRunLogsResponseDto](truefoundry/ml/autogen/client/docs/ListLatestRunLogsResponseDto.md)
 - [ListMetricHistoryRequestDto](truefoundry/ml/autogen/client/docs/ListMetricHistoryRequestDto.md)
 - [ListMetricHistoryResponseDto](truefoundry/ml/autogen/client/docs/ListMetricHistoryResponseDto.md)
 - [ListModelVersionResponseDto](truefoundry/ml/autogen/client/docs/ListModelVersionResponseDto.md)
 - [ListModelVersionsRequestDto](truefoundry/ml/autogen/client/docs/ListModelVersionsRequestDto.md)
 - [ListModelsRequestDto](truefoundry/ml/autogen/client/docs/ListModelsRequestDto.md)
 - [ListModelsResponseDto](truefoundry/ml/autogen/client/docs/ListModelsResponseDto.md)
 - [ListRunArtifactsResponseDto](truefoundry/ml/autogen/client/docs/ListRunArtifactsResponseDto.md)
 - [ListRunLogsResponseDto](truefoundry/ml/autogen/client/docs/ListRunLogsResponseDto.md)
 - [ListSeedExperimentsResponseDto](truefoundry/ml/autogen/client/docs/ListSeedExperimentsResponseDto.md)
 - [LogBatchRequestDto](truefoundry/ml/autogen/client/docs/LogBatchRequestDto.md)
 - [LogMetricRequestDto](truefoundry/ml/autogen/client/docs/LogMetricRequestDto.md)
 - [LogParamRequestDto](truefoundry/ml/autogen/client/docs/LogParamRequestDto.md)
 - [Method](truefoundry/ml/autogen/client/docs/Method.md)
 - [MetricCollectionDto](truefoundry/ml/autogen/client/docs/MetricCollectionDto.md)
 - [MetricDto](truefoundry/ml/autogen/client/docs/MetricDto.md)
 - [MimeType](truefoundry/ml/autogen/client/docs/MimeType.md)
 - [ModelConfiguration](truefoundry/ml/autogen/client/docs/ModelConfiguration.md)
 - [ModelDto](truefoundry/ml/autogen/client/docs/ModelDto.md)
 - [ModelResponseDto](truefoundry/ml/autogen/client/docs/ModelResponseDto.md)
 - [ModelSchemaDto](truefoundry/ml/autogen/client/docs/ModelSchemaDto.md)
 - [ModelVersionDto](truefoundry/ml/autogen/client/docs/ModelVersionDto.md)
 - [ModelVersionResponseDto](truefoundry/ml/autogen/client/docs/ModelVersionResponseDto.md)
 - [MultiPartUploadDto](truefoundry/ml/autogen/client/docs/MultiPartUploadDto.md)
 - [MultiPartUploadResponseDto](truefoundry/ml/autogen/client/docs/MultiPartUploadResponseDto.md)
 - [MultiPartUploadStorageProvider](truefoundry/ml/autogen/client/docs/MultiPartUploadStorageProvider.md)
 - [NotifyArtifactVersionFailureDto](truefoundry/ml/autogen/client/docs/NotifyArtifactVersionFailureDto.md)
 - [OpenapiSpec](truefoundry/ml/autogen/client/docs/OpenapiSpec.md)
 - [ParamDto](truefoundry/ml/autogen/client/docs/ParamDto.md)
 - [Parameters](truefoundry/ml/autogen/client/docs/Parameters.md)
 - [PredictionType](truefoundry/ml/autogen/client/docs/PredictionType.md)
 - [ResolveAgentAppResponseDto](truefoundry/ml/autogen/client/docs/ResolveAgentAppResponseDto.md)
 - [RestoreRunRequestDto](truefoundry/ml/autogen/client/docs/RestoreRunRequestDto.md)
 - [RunDataDto](truefoundry/ml/autogen/client/docs/RunDataDto.md)
 - [RunDto](truefoundry/ml/autogen/client/docs/RunDto.md)
 - [RunInfoDto](truefoundry/ml/autogen/client/docs/RunInfoDto.md)
 - [RunLogDto](truefoundry/ml/autogen/client/docs/RunLogDto.md)
 - [RunLogInputDto](truefoundry/ml/autogen/client/docs/RunLogInputDto.md)
 - [RunResponseDto](truefoundry/ml/autogen/client/docs/RunResponseDto.md)
 - [RunTagDto](truefoundry/ml/autogen/client/docs/RunTagDto.md)
 - [SearchRunsRequestDto](truefoundry/ml/autogen/client/docs/SearchRunsRequestDto.md)
 - [SearchRunsResponseDto](truefoundry/ml/autogen/client/docs/SearchRunsResponseDto.md)
 - [SetExperimentTagRequestDto](truefoundry/ml/autogen/client/docs/SetExperimentTagRequestDto.md)
 - [SetTagRequestDto](truefoundry/ml/autogen/client/docs/SetTagRequestDto.md)
 - [SignedURLDto](truefoundry/ml/autogen/client/docs/SignedURLDto.md)
 - [Stop](truefoundry/ml/autogen/client/docs/Stop.md)
 - [StoreRunLogsRequestDto](truefoundry/ml/autogen/client/docs/StoreRunLogsRequestDto.md)
 - [SystemMessage](truefoundry/ml/autogen/client/docs/SystemMessage.md)
 - [Text](truefoundry/ml/autogen/client/docs/Text.md)
 - [TextContentPart](truefoundry/ml/autogen/client/docs/TextContentPart.md)
 - [UpdateArtifactVersionRequestDto](truefoundry/ml/autogen/client/docs/UpdateArtifactVersionRequestDto.md)
 - [UpdateDatasetRequestDto](truefoundry/ml/autogen/client/docs/UpdateDatasetRequestDto.md)
 - [UpdateExperimentRequestDto](truefoundry/ml/autogen/client/docs/UpdateExperimentRequestDto.md)
 - [UpdateModelVersionRequestDto](truefoundry/ml/autogen/client/docs/UpdateModelVersionRequestDto.md)
 - [UpdateRunRequestDto](truefoundry/ml/autogen/client/docs/UpdateRunRequestDto.md)
 - [UpdateRunResponseDto](truefoundry/ml/autogen/client/docs/UpdateRunResponseDto.md)
 - [Url](truefoundry/ml/autogen/client/docs/Url.md)
 - [UserMessage](truefoundry/ml/autogen/client/docs/UserMessage.md)
 - [ValidationError](truefoundry/ml/autogen/client/docs/ValidationError.md)
 - [ValidationErrorLocInner](truefoundry/ml/autogen/client/docs/ValidationErrorLocInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="HTTPBearer"></a>
### HTTPBearer

- **Type**: Bearer authentication

<a id="APIKeyCookie"></a>
### APIKeyCookie

- **Type**: API key
- **API key parameter name**: accessToken
- **Location**:


## Author
